<?php
/**
 * eco-solar-energy functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package eco-solar-energy
 */

if ( ! defined( 'ECO_SOLAR_ENERGY_S_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'ECO_SOLAR_ENERGY_S_VERSION', '1.0.0' );
}

/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function eco_solar_energy_setup() {
	/*
		* Make theme available for translation.
		* Translations can be filed in the /languages/ directory.
		* If you're building a theme based on eco-solar-energy, use a find and replace
		* to change 'eco-solar-energy' to the name of your theme in all the template files.
		*/
	load_theme_textdomain( 'eco-solar-energy', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
		* Let WordPress manage the document title.
		* By adding theme support, we declare that this theme does not use a
		* hard-coded <title> tag in the document head, and expect WordPress to
		* provide it for us.
		*/
	add_theme_support( 'title-tag' );

	/*
		* Enable support for Post Thumbnails on posts and pages.
		*
		* @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		*/
	add_theme_support( 'post-thumbnails' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus(
		array(
			'menu-1' => esc_html__( 'Primary', 'eco-solar-energy' ),
		)
	);

	/*
		* Switch default core markup for search form, comment form, and comments
		* to output valid HTML5.
		*/
	add_theme_support(
		'html5',
		array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
			'style',
			'script',
		)
	);

	// Set up the WordPress core custom background feature.
	add_theme_support(
		'custom-background',
		apply_filters(
			'eco_solar_energy_custom_background_args',
			array(
				'default-color' => 'ffffff',
				'default-image' => '',
			)
		)
	);

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/**
	 * Add support for core custom logo.
	 *
	 * @link https://codex.wordpress.org/Theme_Logo
	 */
	add_theme_support(
		'custom-logo',
		array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		)
	);
}
add_action( 'after_setup_theme', 'eco_solar_energy_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function eco_solar_energy_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'eco_solar_energy_content_width', 640 );
}
add_action( 'after_setup_theme', 'eco_solar_energy_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function eco_solar_energy_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'eco-solar-energy' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'eco-solar-energy' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<div class="widget-heading"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		)
	);
	
}
add_action( 'widgets_init', 'eco_solar_energy_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function eco_solar_energy_scripts() {
	wp_enqueue_style( 'eco-solar-energy-style', get_stylesheet_uri(), array(), ECO_SOLAR_ENERGY_S_VERSION );
	wp_style_add_data( 'eco-solar-energy-style', 'rtl', 'replace' );

	wp_enqueue_style('eco-solar-energy-all.min.css', get_stylesheet_directory_uri() . "/assets/css/all.min.css", '', ECO_SOLAR_ENERGY_S_VERSION);
	wp_enqueue_style('eco-solar-energy-bootstrap.min.css', get_stylesheet_directory_uri() . "/assets/css/bootstrap.min.css", '', ECO_SOLAR_ENERGY_S_VERSION);
	wp_enqueue_style('eco-solar-energy-googlefont.css', get_stylesheet_directory_uri() . "/assets/css/googlefont.css", '', ECO_SOLAR_ENERGY_S_VERSION);
	wp_enqueue_style('eco-solar-energy-responsivestyle.css', get_stylesheet_directory_uri() . "/assets/css/responsivestyle.css", '', ECO_SOLAR_ENERGY_S_VERSION);
	wp_enqueue_style('eco-solar-energy-output.css', get_stylesheet_directory_uri() . "/assets/css/output.css", '', ECO_SOLAR_ENERGY_S_VERSION);

	wp_enqueue_script( 'eco-solar-energy-custom', get_template_directory_uri() . '/js/customizer.js', array(), ECO_SOLAR_ENERGY_S_VERSION, true );
	wp_enqueue_script('eco-solar-energy-jquery.min.js', get_stylesheet_directory_uri() . '/assets/js/jquery.min.js', array('jquery'), ECO_SOLAR_ENERGY_S_VERSION, true);
	wp_enqueue_script( 'eco-solar-energy-navigation', get_template_directory_uri() . '/js/navigation.js', array(), ECO_SOLAR_ENERGY_S_VERSION, true );
	wp_enqueue_script( 'eco-solar-energy-all.min.js', get_template_directory_uri() . '/assets/js/all.min.js', array(), ECO_SOLAR_ENERGY_S_VERSION, true );	
	wp_enqueue_script('eco-solar-energy-bootstrap.bundle.min.js', get_stylesheet_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array(), ECO_SOLAR_ENERGY_S_VERSION, true);
	wp_enqueue_script('eco-solar-energy-custom.js', get_stylesheet_directory_uri() . '/assets/js/custom.js', array(), ECO_SOLAR_ENERGY_S_VERSION, true);
	wp_enqueue_script('eco-solar-energy-jquery.slim.min.js', get_stylesheet_directory_uri() . '/assets/js/jquery.slim.min.js', array(), ECO_SOLAR_ENERGY_S_VERSION, true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'eco_solar_energy_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}
